<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity=""
    android:orientation="vertical"
    tools:context=".KirimData">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="invisible"
        android:id="@+id/relativeLayoutAdapter">
        <LinearLayout
            android:layout_width="match_parent"
            android:gravity="center"
            android:orientation="vertical"
            android:id="@+id/LayoutIntro2"
            android:layout_height="450dp">
            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <TextView
                    android:layout_marginLeft="20dp"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="20dp"
                    android:fontFamily="@font/lato_regular"
                    android:textColor="#fff"
                    android:id="@+id/introFile"
                    android:gravity="center"
                    android:textSize="16sp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/textKirimData4"/>
                <ScrollView
                    android:id="@+id/scrollView2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/introFile"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/FileList"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="10dp" />
                </ScrollView>
                <TextView
                    android:layout_marginLeft="20dp"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="20dp"
                    android:fontFamily="@font/lato_regular"
                    android:textColor="#fff"
                    android:layout_below="@id/scrollView2"
                    android:id="@+id/introFile2"
                    android:gravity="center"
                    android:textSize="14sp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/textKirimData2"/>
                <TextView
                    android:layout_marginLeft="20dp"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="20dp"
                    android:fontFamily="@font/lato_regular"
                    android:textColor="#fff"
                    android:layout_below="@id/introFile2"
                    android:gravity="center"
                    android:textSize="14sp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/textKirimData3"/>
            </RelativeLayout>
        </LinearLayout>

    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/LinearIntroAtas"
        android:orientation="vertical">
        <LinearLayout
            android:layout_width="match_parent"
            android:gravity="center"
            android:id="@+id/LinearIntroGone"
            android:orientation="vertical"
            android:background="@color/Dark"
            android:layout_height="450dp">
            <ImageView
                android:layout_width="200dp"
                android:layout_height="200dp"
                android:id="@+id/img"
                android:src="@drawable/document"
                app:tint="#fff" />
            <TextView
                android:layout_marginLeft="20dp"
                android:layout_marginRight="20dp"
                android:layout_marginTop="20dp"
                android:fontFamily="@font/lato_regular"
                android:textColor="#fff"
                android:gravity="center"
                android:textSize="16sp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/textKirimData1"/>
            <TextView
                android:layout_marginTop="30dp"
                android:fontFamily="@font/lato_regular"
                android:textColor="#fff"
                android:gravity="center"
                android:textSize="14sp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/textKirimData2"/>
            <TextView
                android:layout_marginTop="5dp"
                android:fontFamily="@font/lato_regular"
                android:textColor="#fff"
                android:gravity="center"
                android:textSize="14sp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/textKirimData3"/>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_below="@id/LinearIntroGone"
            android:gravity="center"
            android:id="@+id/BtnAddLayout"
            android:layout_marginTop="-35dp"
            android:padding="10dp"
            android:layout_height="wrap_content">
            <Button
                android:layout_width="200dp"
                android:layout_height="50dp"
                android:text="Tambah Data"
                android:id="@+id/btnAddData"
                android:elevation="10dp"
                android:textSize="14sp"
                android:fontFamily="@font/lato_regular"
                android:textColor="#fff"
                android:backgroundTint="@color/Yellow"
                android:background="@drawable/round_button_tapping"/>
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:layout_marginTop="10dp"
        android:layout_below="@id/LinearIntroAtas">
        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:fontFamily="@font/lato_regular"
            android:layout_marginLeft="20dp"
            android:text="Nama File"/>
        <EditText
            android:layout_width="match_parent"
            android:layout_marginTop="5dp"
            android:layout_marginLeft="20dp"
            android:fontFamily="@font/lato_regular"
            android:inputType="text"
            android:id="@+id/judulEdit"
            android:layout_marginRight="20dp"
            android:hint="cth. Data Spasial"
            android:enabled="false"
            android:layout_height="60dp" />
        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:fontFamily="@font/lato_regular"
            android:layout_marginLeft="20dp"
            android:text="Deskripsi File"/>
        <EditText
            android:layout_width="match_parent"
            android:layout_marginTop="5dp"
            android:layout_marginLeft="20dp"
            android:id="@+id/deskripsiEdit"
            android:fontFamily="@font/lato_regular"
            android:enabled="false"
            android:hint="cth. Melakukan Rekap Data"
            android:inputType="textMultiLine"
            android:layout_marginRight="20dp"
            android:layout_height="60dp" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:orientation="horizontal"
            android:gravity="right"
            android:layout_height="match_parent">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_constraintBottom_toBottomOf="parent">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="right"
                    android:orientation="horizontal"
                    app:layout_constraintTop_toTopOf="parent">

                    <Button
                        android:id="@+id/btnCancel"
                        android:layout_width="100dp"
                        android:layout_height="50dp"
                        android:background="@drawable/round_button_refresh"
                        android:backgroundTint="#fff"
                        android:fontFamily="@font/lato_regular"
                        android:text="Batal"
                        android:textColor="#1565C0"
                        android:textSize="12sp" />

                    <Button
                        android:id="@+id/btnSave"
                        android:layout_width="100dp"
                        android:layout_height="50dp"
                        android:background="@drawable/round_button_tapping"
                        android:backgroundTint="#fff"
                        android:fontFamily="@font/lato_regular"
                        android:text="Simpan"
                        android:textColor="#1565C0"
                        android:textSize="12sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:id="@+id/userTxtLaporan"
                        android:visibility="gone"/>
                </LinearLayout>
            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.constraintlayout.widget.ConstraintLayout>
    </LinearLayout>
</RelativeLayout>